## net.i2p.router.transport
Interface Transport

All Known Implementing Classes:
  NTCPTransport, TCPTransport, TransportImpl, UDPTransport

    public interface Transport

Defines a way to send a message to another peer and start listening for messages

Method Summary
`TransportBid` `bid(RouterInfo toAddress, long dataSize)`
`int` `countActivePeers()`
`int` `countActiveSendPeers()`
`java.util.Vector` `getClockSkews()`
`RouterAddress` `getCurrentAddress()`
`java.util.List` `getMostRecentErrorMessages()`
`short` `getReachabilityStatus()`
`java.lang.String` `getStyle()`
`boolean` `isBacklogged(Hash dest)`
`boolean` `isUnreachable(Hash peer)`
`void` `recheckReachability()`
`void` `renderStatusHTML(java.io.Writer out, java.lang.String urlBase, int sortFlags)`
`void` `send(OutNetMessage msg)` Asynchronously send the message as requested in the message and, if the send is successful, queue up any msg.getOnSendJob job, and register it with the OutboundMessageRegistry (if it has a reply selector).
`void` `setListener(TransportEventListener listener)`
`RouterAddress` `startListening()`
`void` `stopListening()`

Method Detail

### bid

    TransportBid bid(RouterInfo toAddress,
                     long dataSize)

### send

    void send(OutNetMessage msg)

  Asynchronously send the message as requested in the message and, if the send is successful, queue up any msg.getOnSendJob job, and register it with the OutboundMessageRegistry (if it has a reply selector). If the send fails, queue up any msg.getOnFailedSendJob

### startListening

    RouterAddress startListening()

### stopListening

    void stopListening()

### getCurrentAddress

    RouterAddress getCurrentAddress()

### setListener

    void setListener(TransportEventListener listener)

### getStyle

    java.lang.String getStyle()

### countActivePeers

    int countActivePeers()

### countActiveSendPeers

    int countActiveSendPeers()

### getClockSkews

    java.util.Vector getClockSkews()

### getMostRecentErrorMessages

    java.util.List getMostRecentErrorMessages()

### renderStatusHTML

    void renderStatusHTML(java.io.Writer out,
                          java.lang.String urlBase,
                          int sortFlags)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### getReachabilityStatus

    short getReachabilityStatus()

### recheckReachability

    void recheckReachability()

### isBacklogged

    boolean isBacklogged(Hash dest)

### isUnreachable

    boolean isUnreachable(Hash peer)